Subject: Re: bug#42839: [PATCH] Support displaying line numbers in goto-line

From: Stefan Kangas <[email-masked]>
Date: Thu, 13 Aug 2020 01:58:41 -0700

Robert Pluim <[email-masked]> writes:

>>>>>> On Wed, 12 Aug 2020 23:30:42 -0700, Stefan Kangas <[email-masked]> said:
>
>     Stefan> Here's an interesting idea I picked up from Reddit: make goto-line
>     Stefan> enable display-line-numbers-mode temporarily when prompting.  Please see
>     Stefan> the attached patch.
>
>     Stefan> Comments or thoughts welcome, as always.
>
> Hmm, if the line youʼre going to is visible, why would
> you need goto-line to show line numbers?

Well, I don't always know the line number of every line in my window.

> For that matter, why not just move to the line using other motion
> commands?

I personally use `goto-line' only when I have a specific line number
that I want to go to.  It is true that there are other movement
commands that are often better to use.

> And if itʼs not visible, what does showing line numbers for the lines
> that are visible get you?

It serves as a reminder of where you're at before you leave.

> You'd have to add some interactive 'scroll window to show target line'
> functionality, I think.

Good idea, thanks.  Maybe I should look into that.

Best regards,
Stefan Kangas